de.esprit.common.gui.util

## Class ComboBoxAutoCompletion

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - de.esprit.common.gui.util.ComboBoxAutoCompletion

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document

      public class ComboBoxAutoCompletion
      extends javax.swing.text.PlainDocument

  Class originates from http://creativecommons.org, but was extended and adapted to the EspritAppSuite environment
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.PlainDocument

      `lineLimitAttribute, tabSizeAttribute`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComboBoxAutoCompletion(javax.swing.JComboBox comboBox)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insertString(int offs, java.lang.String str, javax.swing.text.AttributeSet a)`
    `void` | `remove(int offs, int len)`

    - ### Methods inherited from class javax.swing.text.PlainDocument

      `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComboBoxAutoCompletion

          public ComboBoxAutoCompletion(javax.swing.JComboBox comboBox)

  - ### Method Detail

    - #### remove

          public void remove(int offs,
                    int len)
                      throws javax.swing.text.BadLocationException

      Specified by:
        `remove` in interface `javax.swing.text.Document`
      Overrides:
        `remove` in class `javax.swing.text.AbstractDocument`
      Throws:
        `javax.swing.text.BadLocationException`

    - #### insertString

          public void insertString(int offs,
                          java.lang.String str,
                          javax.swing.text.AttributeSet a)
                            throws javax.swing.text.BadLocationException

      Specified by:
        `insertString` in interface `javax.swing.text.Document`
      Overrides:
        `insertString` in class `javax.swing.text.PlainDocument`
      Throws:
        `javax.swing.text.BadLocationException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.